Browse code

pkg: obs/kamailio.spec - simplified pkgconfig requirements

for more detail pleae look GH #2368

Sergey Safarov authored on 24/06/2020 14:49:24
Showing 1 changed files
... ...
@@ -271,20 +271,12 @@ Conflicts:  kamailio-utils < %ver, kamailio-websocket < %ver
271 271
 Conflicts:  kamailio-xhttp-pi < %ver, kamailio-xmlops < %ver
272 272
 Conflicts:  kamailio-xmlrpc < %ver, kamailio-xmpp < %ver
273 273
 Conflicts:  kamailio-uuid < %ver
274
-BuildRequires:  bison, flex, which, make, gcc, gcc-c++
274
+BuildRequires:  bison, flex, which, make, gcc, gcc-c++, pkgconfig
275 275
 %if 0%{?rhel} != 6
276 276
 Requires:  systemd
277 277
 BuildRequires:  systemd-devel
278 278
 %endif
279 279
 
280
-%if 0%{?rhel} || 0%{?centos_ver}
281
-%if 0%{?rhel} > 6 || 0%{?centos_ver} > 6
282
-BuildRequires:  pkgconfig
283
-%endif
284
-%else
285
-BuildRequires:  pkgconfig
286
-%endif
287
-
288 280
 %if 0%{?suse_version} == 1315 || 0%{?suse_version} == 1330
289 281
 Requires:  filesystem
290 282
 BuildRequires:  shadow